"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.logResultsInTerminal = void 0;
const chalk_1 = __importDefault(require("chalk"));
const logResultsInTerminal = (results) => {
    results.forEach((result) => {
        const isFile = result.type === 'file';
        const typeText = isFile ? 'File' : 'Folder';
        const message = `${typeText} created at ${result.destinationPath}`;
        console.log(chalk_1.default.green(message));
    });
};
exports.logResultsInTerminal = logResultsInTerminal;
