#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = require("commander");
const errors_1 = require("./errors");
const commands_1 = require("./commands");
const packageJson = require('../../package.json');
try {
    new commander_1.Command('cpf')
        .version(packageJson?.version || 'Not Defined')
        .addCommand(commands_1.CreateCommand)
        .parse(process.argv);
}
catch (e) {
    errors_1.handleErrors(e);
}
