import { CreateCommandOptionsWithDefaults, CreateCommandOptions, CreateCommandResult } from './Types';
export declare class CreateCommand {
    private _source;
    private _destination;
    private _options;
    private _createCommandResults;
    get source(): string;
    set source(source: string);
    get destination(): string;
    set destination(destination: string);
    get options(): CreateCommandOptionsWithDefaults;
    changeOptions(options: CreateCommandOptions): void;
    resetOptions(): void;
    constructor(source: string, destination: string, options?: CreateCommandOptions);
    private _addCreateCommandResult;
    private _clearCreateCommandResults;
    private _getTemplatesFolderPath;
    private _getSourcePath;
    private _throwTemplatesFolderNotFound;
    private _throwSourcePathNotFound;
    private _getSourceType;
    private _getParsedNamesToReplace;
    private _throwNamesToReplaceIncorrectlyFormatted;
    private _getReplaceContentObject;
    private _throwReplaceContentOptionIncorrectlyFormatted;
    private _throwEmptySourceFolder;
    private _getPathLastPart;
    private _getReplacedName;
    private _getSourceName;
    private _getDestinationPath;
    private _getFileContent;
    private _throwMisusedOptionsError;
    private _createFolderRecursively;
    private _throwAlreadyExistsOnDestination;
    run(): CreateCommandResult[];
}
