"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MisusedOptionsError = void 0;
class MisusedOptionsError extends Error {
    name;
    message;
    options;
    constructor(options) {
        super();
        this.name = 'MisusedOptionsError';
        this.message = options.message;
        this.options = options.options;
        Object.setPrototypeOf(this, new.target.prototype);
    }
}
exports.MisusedOptionsError = MisusedOptionsError;
