"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCommandAction = void 0;
const commands_1 = require("../../../core/commands");
const LogResultsInTerminal_1 = require("./LogResultsInTerminal");
const createCommandAction = (source, destination, options) => {
    const results = new commands_1.CreateCommand(source, destination, options).run();
    LogResultsInTerminal_1.logResultsInTerminal(results);
};
exports.createCommandAction = createCommandAction;
