"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SyntaxError = void 0;
class SyntaxError extends Error {
    name;
    message;
    received;
    expected;
    constructor(options) {
        super();
        this.name = 'SyntaxError';
        this.message = options.message;
        this.expected = options.expected;
        this.received = options.received;
        Object.setPrototypeOf(this, new.target.prototype);
    }
}
exports.SyntaxError = SyntaxError;
